com.rscja.team.mtk.barcode

## Class Barcode2DSoftCommon_mtk

- java.lang.Object
- - com.rscja.team.mtk.barcode.Barcode2DSoftCommon_mtk

-     public class Barcode2DSoftCommon_mtk
      extends java.lang.Object

  Author:
    Administrator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CameraID`
    `static java.lang.String` | `CameraStateFile` Deprecated.
    `static boolean` | `isIris`
    `static boolean` | `isMTK`
    `static java.lang.String` | `ScannerCameraIdFile` Deprecated.
    `static java.lang.String` | `ScannerStateFile` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Barcode2DSoftCommon_mtk()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `Barcode2DSoftCommon(android.content.Context context)`
    `static int` | `readCameraState()` Deprecated.
    `int` | `readCameraStateNew()` 读取摄像头工作状态
    `int` | `readFlashlightStateNew()`
    `static java.lang.String` | `ReadMTKScanType()`
    `static void` | `writeScannerState(int id)`
    `void` | `writeScannerStateNew(int id)` 写入扫描头是否在工作的状态值 Write in status value that scanning module is in working or not

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isMTK

          public static boolean isMTK

    - #### CameraID

          public static int CameraID

    - #### isIris

          public static boolean isIris

    - #### ScannerCameraIdFile

          @Deprecated
          public static java.lang.String ScannerCameraIdFile

      Deprecated.
      获取扫描头类型
      acquire scanning module type

    - #### CameraStateFile

          @Deprecated
          public static java.lang.String CameraStateFile

      Deprecated.

    - #### ScannerStateFile

          @Deprecated
          public static java.lang.String ScannerStateFile

      Deprecated.

  - ### Constructor Detail

    - #### Barcode2DSoftCommon_mtk

          public Barcode2DSoftCommon_mtk()

  - ### Method Detail

    - #### Barcode2DSoftCommon

          public void Barcode2DSoftCommon(android.content.Context context)

    - #### writeScannerStateNew

          public void writeScannerStateNew(int id)

      写入扫描头是否在工作的状态值
      Write in status value that scanning module is in working or not
      Parameters:
        `id` - 0:扫描头没有打开,1:表示扫描头已经打开
        `id` - 0: scanning module is not switched on, 1 means scanning module is ON

    - #### writeScannerState

          public static void writeScannerState(int id)

    - #### readCameraStateNew

          public int readCameraStateNew()

      读取摄像头工作状态
      Returns:
        返回摄像头状态值，1:表示摄像头被打开，其他值表示未打开。

    - #### readCameraState

          @Deprecated
          public static int readCameraState()

      Deprecated.

    - #### readFlashlightStateNew

          public int readFlashlightStateNew()

    - #### ReadMTKScanType

          public static java.lang.String ReadMTKScanType()